interactions:
- request:
    body: grant_type=refresh_token&refresh_token=**********&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      !!python/unicode Authorization: [!!python/unicode '**********']
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [!!python/unicode rtv test suite PRAW/3.4.0 Python/2.7.6 Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMsWoDMRAFf2VR7eLAITHufCFdMLgJpBI66SVZgk7y7p64I+TfjezqwTDz/lyI
        Eareyi9mdyT3MnrN4+lzHdKbXj5en+r1kL8Wnt8Pbkfu7nnbKro8IQik84TGEZ5Tx+cyo0OslQXq
        uT/vn4dhR05jebRIbPTDakU24oTZ2DbKmy6TICU2pSrcgiFDNXxDSRASCWoRIw0NpMuU2fpoFJ5A
        rRjc/w2tQ0Gq1gAAAA==
    headers:
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [2c54fcecabbc1ee9-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-type: [application/json; charset=UTF-8]
      date: ['Wed, 20 Jul 2016 08:19:24 GMT']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=de5a73aac362f4ffc5dcd2ca74c2f8cea1469002764; expires=Thu,
          20-Jul-17 08:19:24 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=WZcTLfqyPNlHeZ802l;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:19:24
          GMT; secure', 'loidcreated=2016-07-20T08%3A19%3A24.526Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:19:24 GMT; secure']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      !!python/unicode Authorization: [!!python/unicode '**********']
      User-Agent: [!!python/unicode rtv test suite PRAW/3.4.0 Python/2.7.6 Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAA40j1cC/31U0XKcMAz8lc49dzrJ5dqk/RmNMYLTYGwq21wumfx7JR8E06R9A68srVZrvR4o
        Ao6TC1fEw68vnXERv345nE2E0ZCrjrwZNeJgaSZHLyZR8DCdzQvCw0Fwy2gSthJyfzp+Pz7c/zjd
        fbvTXNQidBxG4NCEFKucUjzmOKFvy8X1eEkFOdk13d3xaU2n1EL7Nz1HfoDB8Gjk8Hj8qdk9NJj0
        /z1xGEf06T3u8SSHnRTLjMrrVe5IIgQaTY8wMc6Elwgu9L3wCTlJUOKsuRh7iglZ5BMm0LlwgYRR
        I14Ps2EyXr+lpk8cHBxVJHyekKlwIO34+PBWuM8IZzOJEOR78OGylTFtRJ6lDOMUOAm+Yf8lS34L
        dNgbe4WIhu1ZI7sNG0NDDuGCDSTDPe5LSHkw2eqw68MX5AHaIFQTJDZ22MCYyA5XWKRWVRcgTz0b
        sYINYaAi965GCtJil73KsgCBje+RUXG1qehcXaOxzww9dZLRi0Jxx1GUNl4Y4rxngXkhAFNwZK8b
        0gW2MoaUpip8UceL3WVGjfEeeUOnMOAYfB+UQsIy8N3wY26Efkvps+GfHnX4n6soVmuCiAFWSA4F
        3I++zDzLwxX1tmOPl2X+Yn5r7Pljm6VBkbolRlv5OcqrQ68W+qDZZHJE2BXqi2VjiiBD3QUrhZtX
        oSUjZGoxzdLorpd3kYCzq42RRCwR4uM4Iia1aQVcJS43glg2Uz0iI96dKan5eSYZ8IUp6SJb8dV8
        +CwDrMw3hZjEc03ZTGuwBN6MBaMIaGCjvlCqEzcu2GHdCf+iI6tuLaBuCPrU75+2C7Ii++Dq7Uhl
        /9UH+nNwv70JajMNl24m4rKjBfPZOY3zTXgWp+bizXWXSkHqSBZGeV9V2pLH3tpTpfXCbVvrS6sq
        LHtaq7z9AZn6ZwRRBgAA
    headers:
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      cf-ray: [2c54fcf8fa890da9-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['699']
      content-type: [application/json; charset=UTF-8]
      date: ['Wed, 20 Jul 2016 08:19:26 GMT']
      expires: ['-1']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=d8314668e485fca1ae93c6a9ea5f798831469002766; expires=Thu,
          20-Jul-17 08:19:26 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=LND0zNzQdDFs6gOYrf;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:19:26
          GMT; secure', 'loidcreated=2016-07-20T08%3A19%3A26.280Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:19:26 GMT; secure']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-ratelimit-remaining: ['595.0']
      x-ratelimit-reset: ['34']
      x-ratelimit-used: ['5']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      !!python/unicode Authorization: [!!python/unicode '**********']
      Cookie: [loid=LND0zNzQdDFs6gOYrf; loidcreated=2016-07-20T08%3A19%3A26.280Z;
          __cfduid=d8314668e485fca1ae93c6a9ea5f798831469002766]
      User-Agent: [!!python/unicode rtv test suite PRAW/3.4.0 Python/2.7.6 Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://oauth.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 423555 characters]
        /PowhUIu/3JNNJTCRnOeqvSIZjdOJu/f/wM3TXHuWiMVAA==
    headers:
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      cf-ray: [2c54fd042ad40da9-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['284065']
      content-type: [application/json; charset=UTF-8]
      date: ['Wed, 20 Jul 2016 08:19:28 GMT']
      expires: ['-1']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-ratelimit-remaining: ['594.0']
      x-ratelimit-reset: ['32']
      x-ratelimit-used: ['6']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=QByYh1GN%2B98omzyxS50Kr30A3m%2FjSVVh%2FHJsn5auY2QweQKuEyBRyc6QPMWSyCCf57gD5jVMsTzcY1Cwl8SGLw8IreiV9tWB']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
